### Function

# Gio Action name_is_valid

since: 2.38

#### Declaration

    gboolean
    g_action_name_is_valid (
      const gchar* action_name
    )

#### Description

Checks if `action_name` is valid.

`action_name` is valid if it consists only of alphanumeric characters, plus ‘-‘ and ‘.’. The empty string is not a valid action name.

It is an error to call this function with a non-utf8 `action_name`. `action_name` must not be `NULL`.

Available since: 2.38

#### Parameters

`action_name`

  Type: `const gchar*`

  A potential action name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `action_name` is valid.